Package gem-em-mongo: Information

Source package: gem-em-mongo
Version: 0.6.0.1-alt1
Build time:  Oct 23, 2023, 06:32 AM
Category: Development/Ruby
Report package bug
License: MIT
Summary: EventMachine MongoDB Driver (based off of RMongo)
Description: 
An EventMachine client for MongoDB. Originally based on RMongo, this client aims
to be as api compatible with mongo-ruby-driver as possible.

For methods that do not retrieve data from the database the api of em-mongo
should be identical (though a subset) to the mongo-ruby-driver. This includes
the various update methods like insert, save and update (without the :safe flag,
which is handled separately) as well as find, which returns a cursor.

For operations that require IO, em-mongo always returns an EventMachine
deferrable.

List of rpms provided by this srpm:
gem-em-mongo (noarch)
gem-em-mongo-devel (noarch)
gem-em-mongo-doc (noarch)


List of contributors:
Pavel Skrylev
Andrey Cherepanov

    1. gem(bson) >= 1.9.2
    2. gem(bson) < 5
    3. gem(eventmachine) >= 0.12.10
    4. gem(eventmachine) < 2.0
    5. rpm-build-ruby

Last changed


April 18, 2022 Pavel Skrylev 0.6.0.1-alt1
- ^ 0.6.0 -> 0.6.0.1
March 4, 2020 Pavel Skrylev 0.6.0-alt2.3
- fixed (!) spec
Sept. 10, 2019 Pavel Skrylev 0.6.0-alt2.2
- fixed (!) spec according to changelog rules